# GlobMapper

Implements \FileNameMapper

description here

author | Andreas Aderhold, andi@binarycloud.com
version | $Id: 00ec31f790ce6e0b582ebaefde1b57041bf1b8cc $
package | phing.mappers

### Methods

## _extractVariablePart

    _extractVariablePart( $_name)

### Arguments

#### $_name

``

## The mapper implementation.

    main( $_sourceFileName) : array

### Arguments

#### $_sourceFileName

``

### Response

`array`

The data after the mapper has been applied; must be in array format (for some reason).

## Accessor. Sets the from property. What this mapper should recognize. The actual implementation is dependent upon the child class

    setFrom( $from) : void

### Arguments

#### $from

``

## Sets the &quot;to&quot; pattern. Required.

    setTo( $to) : void

### Arguments

#### $to

``

### Properties

## Part of &quot;from&quot; pattern before the *.

    fromPrefix :

### Type(s)

``

## Part of &quot;from&quot; pattern after the *.

    fromPostfix :

### Type(s)

``

## Length of the prefix (&quot;from&quot; pattern).

    prefixLength :

### Type(s)

``

## Length of the postfix (&quot;from&quot; pattern).

    postfixLength :

### Type(s)

``

## Part of &quot;to&quot; pattern before the *.

    toPrefix :

### Type(s)

``

## Part of &quot;to&quot; pattern after the *.

    toPostfix :

### Type(s)

``